org.appng.appngizer.model

## Class Property

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Property
      - - org.appng.appngizer.model.Property

- All Implemented Interfaces:
    Comparable<Property>, UriAware

      public class Property
      extends Property
      implements UriAware, Comparable<Property>

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Property

      `clob, defaultValue, description, statusCode, statusMessage, value`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Property()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Property o)`
    `static Property` | `fromDomain(Property property, Site site, Application application)`
    `static PropertyImpl` | `toDomain(Property p)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Property

      `getDefaultValue, getDescription, getStatusCode, getStatusMessage, getValue, isClob, setClob, setDefaultValue, setDescription, setStatusCode, setStatusMessage, setValue`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### fromDomain

          public static Property fromDomain(Property property,
                                            Site site,
                                            Application application)

    - #### toDomain

          public static PropertyImpl toDomain(Property p)

    - #### compareTo

          public int compareTo(Property o)

      Specified by:
        `compareTo` in interface `Comparable<Property>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.